Docs: build perfetto.dev with JS and add autopush

This CL achieves two goals:
1. Rewrites the build rules for the docs site using
   a custom JS script, similar to what we did recently
   for ui.perfetto.dev. This makes testing local docs
   changes easier. Previously it required the cloud SDK
   and caused problems to many devs.
2. Allows autopushing via Cloud Build, using the same
   plan of go/perfetto-ui-autopush.

Bug: 179864115
Change-Id: I28906d18b3591a0e94f31e6c16ce15710be851c1
diff --git a/docs/run-dev-server b/docs/run-dev-server
new file mode 100755
index 0000000..f5bc3c4
--- /dev/null
+++ b/docs/run-dev-server
@@ -0,0 +1,18 @@
+#!/bin/bash
+# Copyright (C) 2021 The Android Open Source Project
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#      http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+set -eu
+CUR_DIR="$(cd -P ${BASH_SOURCE[0]%/*}; pwd)"
+$CUR_DIR/../infra/perfetto.dev/run-dev-server